Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009560 [DCSS] Bug Report feature have not tried 2015-03-20 04:55 2015-04-15 06:42
Reporter Moose View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.17 ancient branch
Summary 0009560: Warn when reading scrolls when you have the mutation that causes it to take time
Description If you have the "Scrolls take longer to read" mutation, I would suggest that there be a warning when trying to read a scroll if there are monsters in view.

This is an insta-death for someone trying to blink away to save their life.

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028679)
Dharmy (reporter)
2015-03-21 16:43

Just wanted to note my support for this (died twice from it). You can get transient blurry vision mutation from a wretched star or demonspawn and not realize it right away.
(0028787)
amalloy (developer)
2015-04-06 21:32

Even worse, try reading ?blinking in a -cTele area with Blurry Vision. You pay the 1-turn delay, and *then* it warns you your blink will be uncontrolled and are you sure you want to read this scroll?
(0028788)
Kyrris (reporter)
2015-04-06 23:18

The original might be brushed off as just a harsh lesson in paying attention, but what amalloy's talking about is interface screw.
(0028800)
Xentronium (reporter)
2015-04-07 23:20

It's really bad when your otherwise reliable last ditch escape option ends up unexpectedly killing you.
(0028838)
PleasingFungus (administrator)
2015-04-14 06:12

Fixed amalloy's report in 7eeabe5.
(0028869)
PleasingFungus (administrator)
2015-04-15 06:41

Original request implemented in 17c131f.

- Issue History
Date Modified Username Field Change
2015-03-20 04:55 Moose New Issue
2015-03-21 16:43 Dharmy Note Added: 0028679
2015-04-06 21:32 amalloy Note Added: 0028787
2015-04-06 23:18 Kyrris Note Added: 0028788
2015-04-06 23:18 Kyrris Note Added: 0028789
2015-04-06 23:18 Kyrris Note Deleted: 0028789
2015-04-07 23:20 Xentronium Note Added: 0028800
2015-04-14 06:12 PleasingFungus Note Added: 0028838
2015-04-15 06:41 PleasingFungus Note Added: 0028869
2015-04-15 06:41 PleasingFungus Status new => resolved
2015-04-15 06:41 PleasingFungus Fixed in Branch => 0.16 pre-release branch
2015-04-15 06:41 PleasingFungus Resolution open => done
2015-04-15 06:41 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker